JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.LiveVariable

Extends wm.ServiceVariable.
Defined in: LiveVariable.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.LiveVariable() Component that marshalls a LiveView and can perform all data operations: read, insert, update, delete.

Property Summary
Property Attributes | Property Name and Description
--- | ---
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
| firstRow First row of results
| ignoreCase Toggle for data sorting to ignore alphabetical case or not.
| liveSource LiveView or LiveTable from which this LiveVariable gets its field information; can use a liveView or liveTable
| liveView our liveView *
| matchMode Method by which data is filtered
| maxResults Maximum number of results to return
| orderBy Optional order by clause, example "asc: cityId, desc: city"
| sourceData Optional starting source data

Fields borrowed from class wm.Variable:
  isList, type
Fields borrowed from class wm.Component:
  name, owner
Fields borrowed from class wm.ServiceCall:
  autoUpdate, operation, service, startUpdate

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getPage() Return the current data page; only relevant when maxResults is set.
| getTotalPages() Return the total number of data pages.
| setFilter(inFilter) Set the filter used for read operations
| setFirstPage() Set and retrieve the first page of data.
| setLastPage() Set and retrieve the last page of data.
| setLiveSource(inLiveSource) Set the LiveView or LiveTable from which we will get data information
| setNextPage() Set and retrieve the next page of data.
| setOrderBy(inOrderBy) Set the orderBy property used for read operations
| setPage(inPageIndex) Set and retrieve the current data page.
| setPreviousPage() Set and retrieve the previous page of data.
| setSourceData(inSourceData) Set the source data which is used for operations.

Methods borrowed from class wm.Variable:
  addItem, clearData, getCount, getCursorItem, getData, getItem, removeItem, setCursor, setData, setFirst, setItem, setLast, setNext, setPrevious
Methods borrowed from class wm.Component:
  constructor, createComponent, destroy, getId, getRuntimeId
Methods borrowed from class wm.Object:
  extendSchema, getPropertyType, getPropFlags, getValue, listDataProperties, listProperties, setValue, toString
Methods borrowed from class wm.ServiceCall:
  canUpdate, onBeforeUpdate, onCanUpdate, onError, onResult, onSuccess, update

Class Detail
wm.LiveVariable()
Component that marshalls a LiveView and can perform all data operations: read, insert, update, delete.
Report errata or suggestions for LiveVariable.
Property Detail
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
firstRow
First row of results
Report errata or suggestions for firstRow.

ignoreCase
Toggle for data sorting to ignore alphabetical case or not.
Report errata or suggestions for ignoreCase.

liveSource
LiveView or LiveTable from which this LiveVariable gets its field information; can use a liveView or liveTable
Report errata or suggestions for liveSource.

liveView
our liveView *
Report errata or suggestions for liveView.

matchMode
Method by which data is filtered
Report errata or suggestions for matchMode.

maxResults
Maximum number of results to return
Report errata or suggestions for maxResults.

orderBy
Optional order by clause, example "asc: cityId, desc: city"
Report errata or suggestions for orderBy.

sourceData
Optional starting source data
Report errata or suggestions for sourceData.
Method Detail
getPage()
Return the current data page; only relevant when maxResults is set.
Report errata or suggestions for getPage.

getTotalPages()
Return the total number of data pages.
Report errata or suggestions for getTotalPages.

setFilter(inFilter)
Set the filter used for read operations

Parameters:
inFilter

Report errata or suggestions for setFilter.

setFirstPage()
Set and retrieve the first page of data.
Report errata or suggestions for setFirstPage.

setLastPage()
Set and retrieve the last page of data.
Report errata or suggestions for setLastPage.

setLiveSource(inLiveSource)
Set the LiveView or LiveTable from which we will get data information

Parameters:
inLiveSource

Report errata or suggestions for setLiveSource.

setNextPage()
Set and retrieve the next page of data.
Report errata or suggestions for setNextPage.

setOrderBy(inOrderBy)
Set the orderBy property used for read operations

Parameters:
inOrderBy

Report errata or suggestions for setOrderBy.

setPage(inPageIndex)
Set and retrieve the current data page.

Parameters:
{Number} inPageIndex
  the page number to set

Report errata or suggestions for setPage.

setPreviousPage()
Set and retrieve the previous page of data.
Report errata or suggestions for setPreviousPage.

setSourceData(inSourceData)
Set the source data which is used for operations.

Parameters:
inSourceData

Report errata or suggestions for setSourceData.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)